<bugID>1243707<Summary>Lazy-browser-tabs: tabbrowser tab framework</Summary><Description>This is a support bug for bug 906076, lazy-browser-tabs, which deals with tabbrowser tabs in order to provide startup optimization and resource conservation.  This bug is the first phase in creating the framework for the lazy-browser-tab, in tabbrowser.xml.

This bug splits the code currently in `addTab` which links the xul:browser and other elements into a separate internal method, `_linkBrowserToTab`.  `addTab` will now only contain the minimal code to create the xul:tab; `_linkBrowserToTab` will link the xul:browser and related structure to the tab in a separate action.

See https://bugzilla.mozilla.org/show_bug.cgi?id=906076#c205 for more details.</Description></bugID>